---
title: Content-Length
slug: Web/HTTP/Headers/Content-Length
tags:
  - HTTP
  - Headers
  - Reference
---
<div>{{HTTPSidebar}}</div>

<p>The <strong><code>Content-Length</code></strong> entity header indicates the size of the entity-body, in bytes, sent to the recipient.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Entity header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>yes</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Content-Length: &lt;length&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt>&lt;length&gt;</dt>
 <dd>The length in decimal number of octets.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7230", "Content-Length", "3.3.2")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Message Syntax and Routing</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Content-Length")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Transfer-Encoding")}}</li>
</ul>
